Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2681423002: Use testharness.js instead of js-test.js in LayoutTests/fast/canvas tests. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by zakerinasab
Modified:
2 months, 1 week ago
Reviewers:
Justin Novosad
CC:
chromium-reviews, blink-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use testharness.js instead of js-test.js in LayoutTests/fast/canvas tests. This change replaces js-test.js assertions with testharness.js assertions. The expectation files are removed as they are not needed anymore. To simplify review and landing, each change corrects at most 10 tests. BUG=639732 Review-Url: https://codereview.chromium.org/2681423002 Cr-Commit-Position: refs/heads/master@{#451776} Committed: https://chromium.googlesource.com/chromium/src/+/bd743ec0094aa357859102b15e5fb339ea64fea0

Patch Set 1 #

Total comments: 8

Patch Set 2 : Addressing comments #

Patch Set 3 : Addressing comments #

Total comments: 1

Patch Set 4 : Adding exceptions to TestExpectations #

Unified diffs Side-by-side diffs Delta from patch set Stats (+680 lines, -1237 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInPath-winding.html View 1 chunk +95 lines, -8 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInPath-winding-expected.txt View 1 chunk +0 lines, -59 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke.html View 1 chunk +118 lines, -6 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-expected.txt View 1 chunk +0 lines, -74 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html View 1 1 chunk +111 lines, -6 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path-expected.txt View 1 chunk +0 lines, -78 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-large-dimensions.html View 1 chunk +27 lines, -59 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-large-dimensions-expected.txt View 1 chunk +0 lines, -36 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-large-fills.html View 1 2 chunks +29 lines, -48 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-large-fills-expected.txt View 1 chunk +0 lines, -38 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-large-pattern.html View 1 2 1 chunk +25 lines, -44 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-large-pattern-expected.txt View 1 chunk +0 lines, -21 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-largedraws.html View 1 1 chunk +44 lines, -42 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-largedraws-expected.txt View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-lineDash.html View 1 chunk +108 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-lineDash-expected.txt View 1 chunk +0 lines, -52 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-lineDash-input-sequence.html View 1 chunk +69 lines, -71 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-lineDash-input-sequence-expected.txt View 1 chunk +0 lines, -69 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-lineDash-invalid.html View 1 chunk +50 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-lineDash-invalid-expected.txt View 1 chunk +0 lines, -19 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-isPointInPath-winding.js View 1 chunk +0 lines, -103 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-isPointInStroke.js View 1 chunk +0 lines, -117 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-isPointInStroke-with-path.js View 1 chunk +0 lines, -108 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-lineDash.js View 1 chunk +0 lines, -120 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-lineDash-invalid.js View 1 chunk +0 lines, -44 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (8 generated)
Justin Novosad
https://codereview.chromium.org/2681423002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html File third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html (right): https://codereview.chromium.org/2681423002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html#newcode44 third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html:44: assert_throws(null, function() {ctx.isPointInStroke(null, 70, 20);}); These asserts should be ...
2 months, 1 week ago (2017-02-16 15:41:56 UTC) #2
zakerinasab
Comments addressed. https://codereview.chromium.org/2681423002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html File third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html (right): https://codereview.chromium.org/2681423002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html#newcode44 third_party/WebKit/LayoutTests/fast/canvas/canvas-isPointInStroke-with-path.html:44: assert_throws(null, function() {ctx.isPointInStroke(null, 70, 20);}); On 2017/02/16 ...
2 months, 1 week ago (2017-02-16 18:12:40 UTC) #3
Justin Novosad
> On 2017/02/16 15:41:56, Justin Novosad wrote: > > Why are these commented-out? Without theses ...
2 months, 1 week ago (2017-02-16 18:56:07 UTC) #4
zakerinasab
On 2017/02/16 18:56:07, Justin Novosad wrote: > > On 2017/02/16 15:41:56, Justin Novosad wrote: > ...
2 months, 1 week ago (2017-02-16 20:25:34 UTC) #5
Justin Novosad
https://codereview.chromium.org/2681423002/diff/40001/third_party/WebKit/LayoutTests/TestExpectations File third_party/WebKit/LayoutTests/TestExpectations (right): https://codereview.chromium.org/2681423002/diff/40001/third_party/WebKit/LayoutTests/TestExpectations#newcode767 third_party/WebKit/LayoutTests/TestExpectations:767: crbug.com/281504 fast/canvas/canvas-large-pattern.html [ Failure ] This crbug seems unrelated
2 months, 1 week ago (2017-02-17 16:19:52 UTC) #8
zakerinasab
On 2017/02/17 16:19:52, Justin Novosad wrote: > https://codereview.chromium.org/2681423002/diff/40001/third_party/WebKit/LayoutTests/TestExpectations > File third_party/WebKit/LayoutTests/TestExpectations (right): > > https://codereview.chromium.org/2681423002/diff/40001/third_party/WebKit/LayoutTests/TestExpectations#newcode767 ...
2 months, 1 week ago (2017-02-17 16:37:54 UTC) #10
Justin Novosad
On 2017/02/17 16:37:54, zakerinasab wrote: > On 2017/02/17 16:19:52, Justin Novosad wrote: > > > ...
2 months, 1 week ago (2017-02-17 18:00:37 UTC) #11
Justin Novosad
Okay, you can leave it like this then, but you need to add the virtual/gpu ...
2 months, 1 week ago (2017-02-17 18:01:36 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2681423002/60001
2 months, 1 week ago (2017-02-21 15:07:27 UTC) #15
commit-bot: I haz the power
2 months, 1 week ago (2017-02-21 16:34:35 UTC) #18
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/bd743ec0094aa357859102b15e5f...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46